"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpRange = void 0;
const number_1 = require("./../parser/number");
/**
 * get 3 params , check if ip search inside the expected ip range
 * @param startIP
 * @param endIP
 * @param searchIP
 * @returns
 */
const IpRange = (startIP, endIP, searchIP) => {
    if (startIP && endIP && searchIP) {
        startIP = (0, number_1.Fa_To_En)(startIP);
        endIP = (0, number_1.Fa_To_En)(endIP);
        searchIP = (0, number_1.Fa_To_En)(searchIP);
        startIP = startIP.split(".")[2];
        endIP = endIP.split(".")[2];
        searchIP = searchIP.split(".")[2];
        if (+startIP <= +searchIP && +searchIP <= +endIP)
            return true;
    }
    return false;
};
exports.IpRange = IpRange;
