"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostalCodeFind = void 0;
const constants_1 = require("../constants");
const number_1 = require("./../parser/number");
/**
 * TODO: create function to check is valid or not
 * TODO: create function to check postal code from where?
 */
/**
 * get postalCode and check it if valid return province and city of postalCode
 * @param code
 * @returns
 */
const PostalCodeFind = (code) => {
    code = (0, number_1.Fa_To_En)(code.slice(0, 5));
    if (code) {
        const postFiltered = constants_1.postalCodes === null || constants_1.postalCodes === void 0 ? void 0 : constants_1.postalCodes.find(item => ((0, number_1.Fa_To_En)(item.from) <= code && code <= (0, number_1.Fa_To_En)(item.to)));
        if (postFiltered) {
            return { province: postFiltered.province, city: postFiltered.city };
        }
    }
    return;
};
exports.PostalCodeFind = PostalCodeFind;
