"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const idNumber_1 = require("../idNumber");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Id Number city", () => {
        (0, globals_1.expect)((0, idNumber_1.IdNumberFind)("194")).toMatchObject({ province: "خوزستان", city: "بندرماهشهر" });
    });
    (0, globals_1.test)("Id Number is valid", () => {
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("194۲۳۳۴۴۵۵")).toBeTruthy();
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("9992334455")).toBeFalsy(); // This condition most be false because does not exists
    });
});
